Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.qoder.com/llms.txt

Use this file to discover all available pages before exploring further.

GET /v1/agents/{agent_id} Returns the full details of the specified Agent.

Headers

HeaderRequiredDescription
AuthorizationYesBearer <PAT>

Path parameters

ParameterTypeRequiredDescription
agent_idstringYesAgent unique identifier (agent_ prefix followed by a UUID)

Example request

curl -X GET "https://openapi.qoder.sh/api/v1/cloud/agents/agent_019eXXXXXXXXXXXXXXXXXXXXXXXXXXXX" \
  -H "Authorization: Bearer $QODER_PAT"

Example response

HTTP 200 OK
{
  "type": "agent",
  "id": "agent_019eXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
  "name": "doc-test-agent",
  "description": "",
  "model": "ultimate",
  "system": "You are a documentation testing assistant.",
  "instructions": "You are a documentation testing assistant.",
  "tools": [],
  "mcp_servers": [],
  "default_environment": "",
  "version": 1,
  "created_at": "2026-05-18T15:26:39.61669Z",
  "updated_at": "2026-05-18T15:26:39.61669Z"
}

Response fields

FieldTypeDescription
typestringAlways "agent"
idstringAgent unique identifier
namestringAgent name
descriptionstringAgent description
modelstringModel identifier
systemstringSystem prompt
instructionsstringInstruction content (kept in sync with system)
toolsarrayTool configuration list
mcp_serversarrayMCP server configuration
default_environmentstringDefault runtime environment
versionintegerCurrent version
created_atstringCreation time (ISO 8601)
updated_atstringLast update time (ISO 8601)

Errors

HTTPTypeTrigger
401authentication_errorPAT invalid or expired
403permission_errorNot authorized for this Agent
404not_found_errorAgent with the given ID does not exist
See Errors for the full error envelope.

Error response example

{
  "type": "error",
  "error": {
    "type": "not_found_error",
    "message": "Agent 'agent_nonexistent' was not found."
  }
}